<?php
/**
 * Created by PhpStorm.
 * User: sicilon_IT
 * Date: 2021/5/10
 * Time: 10:06
 */
namespace app\index\model;
use think\Model;
class userlocationhismodel extends Model{
    protected $table='t_userlocation_history';

    public function sellistbyopenid($openid){
        $where_arr['openid']=$openid;
        $uloction=$this->where($where_arr)->order('id','desc')->select();

        return $uloction;
    }


    /*
     * 20210510
     *
     */
    public function insinfo($arr){
        $this->setAttr('id',null)->isUpdate(false)->allowField(true)->save($arr);
        return $this->id;
    }

    /*
     * 20210510
     */
    public function sellistbywid($wid){
        $where_arr['wid']=$wid;
        $uloction=$this->where($where_arr)->order('id','desc')->select();

        return $uloction;
    }


}